#include <unistd.h> 
#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include "3c905c.h"

int main(int argc, char *argv[])
{
    int fd0;
    char buffer[1500];
    
    if(argc != 3) {
	fprintf(stderr, "Usage: %s device [0=>read | 1=>write]\n", argv[0]);
	return -1;
    }

    fd0 = open(argv[1], O_RDWR);
    if(fd0 < 0) {
	perror("open");
	return -1;
    }

    switch (atoi(argv[2])) {
        case 0: read(fd0, &buffer, 1500); break;
	case 1: write(fd0, &buffer, 1500); break;
	default: fprintf(stderr, "Usage: %s device (0=read | 1=write)\n", argv[0]); return -1;
    }
	
    close(fd0);

    return 0;
}
